/*
 * Copyright OpenSearch Contributors
 * SPDX-License-Identifier: Apache-2.0
 */
import React from 'react';
import { FaultsSwatch } from '../swatches/faults_swatch';
import { Label } from './label';
import { jsx as _jsx } from "react/jsx-runtime";
export const FaultsLabel = _ref => {
  let {
    text,
    children = /*#__PURE__*/_jsx(FaultsSwatch, {})
  } = _ref;
  return /*#__PURE__*/_jsx(Label, {
    text: text,
    className: "osd:gap-1.5",
    children: children
  });
};